cupsenable(8)

NAME
cupsdisable, cupsenable - beenden/starten von Druckern und Klassen

SYNOPSIS
cupsdisable [ -E ] [ -U Benutzername ] [ -c ] [ -h Server[:Port] ] [ -r Grund ] [ --hold ] Ziel(e)
cupsenable [ -E ] [ -U Benutzername ] [ -c ] [ -h Server[:Port] ] [ --release ] Ziel(e)

BESCHREIBUNG
cupsenable startet die benannten Drucker oder Klassen während cupsdisable die benannten Drucker oder Klassen anhält.

OPTIONEN
Die folgenden Optionen können benutzt werden:

-E  Erzwingt Verschlüsselung der Verbindung zum Server.

-U Benutzername
    Verwendet den angegebenen Benutzernamen bei Verbindungen zum Server.

-c  Bricht alle Aufträge auf dem benannten Ziel ab.

-h Server[:Port]
    Verwendet den angegebenen Server und Port.

--hold
    Die verbleibenden Druckaufträge auf dem genannten Drucker anhalten. Nützlich, um dem aktuellen Druckauftrag die Fertigstellung zu erlauben, wenn danach Wartungsarbeiten durchgeführt werden sollen.

-r "Grund"
    Setzt die dem Beendet-Zustand zugeordnete Nachricht. Falls kein Grund festgelegt ist, wird die Nachricht auf »Reason Unknown« gesetzt.

--release
    Gibt wartende Aufträge zum Drucken frei. Benutzen Sie es nach der Ausführung von cupsdisable mit der Option --hold, um das Drucken fortzusetzen.

KONFORMITÄT
Anders als das System-V-Drucksystem erlaubt es CUPS, dass Druckernamen alle druckbaren Zeichen außer Leertaste, Tabulator, »/« und »#« enthalten. Auch sind Drucker- und Klassennamen unabhängig von der Groß-/Kleinschreibung.

Die System-V-Versionen dieser Befehle sind disable und enable. Sie wurden umbenannt, um Konflikte mit den eingebauten Befehlen gleichen Namens der bash(1) zu vermeiden.

Die CUPS-Versionen von disable und enable könnten den Benutzer, abhängig von der Konfiguration des Drucksystems, nach einem Zugriffspasswort fragen. Dies unterscheidet sich von der System-V-Version, die verlangt, dass der Benutzer »root« diese Befehle ausführt.

SIEHE AUCH
cupsaccept(8), cupsreject(8), cancel(1), lp(1), lpadmin(8), lpstat(1), CUPS-Online-Hilfe (http://localhost:631/help)

COPYRIGHT
Copyright © 2021-2022 by OpenPrinting.